Get a customer
curl --request GET \
--url https://api.brandgate.dev/v1/customers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brandgate.dev/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.brandgate.dev/v1/customers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.brandgate.dev/v1/customers/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "customer",
"name": "<string>",
"contact_name": "<string>",
"email": "<string>",
"phone": "<string>",
"vat_number": "<string>",
"status": "active",
"billing_address": {
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"shipping_address": {
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"payment_terms_days": 123,
"preferred_currency": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}customers
Get a customer
One reseller.
Requires the customers:read scope.
GET
/
v1
/
customers
/
{id}
Get a customer
curl --request GET \
--url https://api.brandgate.dev/v1/customers/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brandgate.dev/v1/customers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.brandgate.dev/v1/customers/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.brandgate.dev/v1/customers/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object": "customer",
"name": "<string>",
"contact_name": "<string>",
"email": "<string>",
"phone": "<string>",
"vat_number": "<string>",
"status": "active",
"billing_address": {
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"shipping_address": {
"line1": "<string>",
"city": "<string>",
"postal_code": "<string>",
"country": "<string>"
},
"payment_terms_days": 123,
"preferred_currency": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}Authorizations
apiKeyoauth2
An organization API key (bg_live_…), created in BrandGate under Settings → Developers.
Path Parameters
Response
Success.
Maximum string length:
500Maximum string length:
500Maximum string length:
320Maximum string length:
100Maximum string length:
100Available options:
active, pending, inactive Show child attributes
Show child attributes
Show child attributes
Show child attributes
Maximum string length:
3